import request from '@/utils/request'

// 查询保养工单明细列表
export function listBillsmaintdetail(query) {
  return request({
    url: '/dms/billsmaintdetail/list',
    method: 'get',
    params: query
  })
}

// 查询保养工单明细详细
export function getBillsmaintdetail(billsMaintDetailId) {
  return request({
    url: '/dms/billsmaintdetail/' + billsMaintDetailId,
    method: 'get'
  })
}

// 新增保养工单明细
export function addBillsmaintdetail(data) {
  return request({
    url: '/dms/billsmaintdetail',
    method: 'post',
    data: data
  })
}

// 修改保养工单明细
export function updateBillsmaintdetail(data) {
  return request({
    url: '/dms/billsmaintdetail',
    method: 'put',
    data: data
  })
}

// 删除保养工单明细
export function delBillsmaintdetail(billsMaintDetailId) {
  return request({
    url: '/dms/billsmaintdetail/' + billsMaintDetailId,
    method: 'delete'
  })
}
